<?php

namespace plugin\points_mall\model;

use think\admin\Model;

class PointsMallOrderSender extends Model
{

    /**
     * 关联订单数据
     * @return \think\model\relation\HasOne
     */
    public function main()
    {
        return $this->hasOne(PointsMallOrder::class, 'order_no', 'order_no')->with(['items']);
    }

    /**
     * 设置发货时间
     * @param mixed $value
     * @return string
     */
    public function setExpressTimeAttr($value): string
    {
        return $this->setCreateTimeAttr($value);
    }

    /**
     * 获取发货时间
     * @param mixed $value
     * @return string
     */
    public function getExpressTimeAttr($value): string
    {
        return $this->getCreateTimeAttr($value);
    }
}